OpenAFP-1.3.2: IBM AFP document format parser and generator

Portability | non-portable (GHC-only)
Stability | experimental
Maintainer | audreyt@audreyt.org
Safe Haskell | None

OpenAFP.Records

Description

This module imports and re-exports various AFP data structures, and implements an additional Unknown type for data without corresponding structures.

# Documentation

module OpenAFP.Records.AFP

module OpenAFP.Records.PTX

module OpenAFP.Records.MCF

module OpenAFP.Records.T

data AFP_

Constructors

AFP_ !N3 !Buffer2 |

Instances

Show AFP_ |
Typeable AFP_ |
Binary AFP_ |
Chunk AFP_ |

newtype Unknown

Constructors

Unknown NStr |

Instances

Show Unknown |
Typeable Unknown |
Binary Unknown |
Rec Unknown |

_Unknown :: Unknown

lookupAFP :: AFP_ -> N3 -> ChunkType

lookupMCF :: MCF_ -> N0 -> ChunkType

lookupPTX :: PTX_ -> N1 -> ChunkType

lookupT :: T_ -> N1 -> ChunkType